Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have been trying forever to get drbd set up in our office, and I cannot figure it out. I'm starting from the very basics. I am using two VM's to test out setting up drbd, so they will be fresh installs. What specific packages do I need to download to drbd off the ground? Thanks for the help.

share|improve this question

closed as too localized by jrg, Marco Ceppi Dec 19 '11 at 18:23

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Can you provide a more accurate description of the problem? "I cannot figure it out" is not a good one. –  Paolo Jun 9 '11 at 22:35
    
Well my specific question was what do I need to have installed before trying to install drbd. I'm not looking for help in solving the problem. Sorry if I was unclear. –  balentaw Jun 9 '11 at 22:37
    
AFAIK nothing in particular if you don't compile DRBD from source. In this case you need make, gcc, the glibc development libraries, and the flex scanner generator. –  Paolo Jun 9 '11 at 22:41
    
This question appears to be abandoned, if you are experiencing a similar issue please ask a new question with details pertaining to your problem. If you feel this question is not abandoned, please flag the question explaining that. :) –  jrg Dec 19 '11 at 17:37

1 Answer 1

DRBD got merged into Linux 2.6.33.

Ubuntu 10.04 is shipped with a kernel newer than 2.6.33, this means you already have the drbd module in your kernel. You only have to install the user land code package drbd8-utils. Older kernels require you to install the package drbd8-module too.

Use /sbin/modinfo drbd to show information about drbd module.

On my Ubuntu 11.04 the reduced output of this command is:

filename:       /lib/modules/2.6.38-8-generic/kernel/drivers/block/drbd/drbd.ko
alias:          block-major-147-*
license:        GPL
version:        8.3.9
description:    drbd - Distributed Replicated Block Device v8.3.9
author:         Philipp Reisner <[email protected]>, Lars Ellenberg <[email protected]>
srcversion:     CF228D42875CF3A43F2945A
depends:        lru_cache

Next step is configure the system.

I used DRBD in the past and I can say it gives satisfaction, provided that you understand it's not "plug and play". LINBIT's documentation helps.

share|improve this answer
    
Thanks, I've been following those instructions, but I keep getting stuck. I realize it's not plug and play, I've been working on this for 2 weeks lol. –  balentaw Jun 9 '11 at 22:26
    
@balentaw np. You asked which packages you need. Answer: drbd8-utils. Do this help? –  Paolo Jun 9 '11 at 22:37

Not the answer you're looking for? Browse other questions tagged or ask your own question.